4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.SaxWriter

SAX2 event writer for XSLT output
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: ElementData, SaxWriter |  |  |  | Fields: EMPTY_NAMESPACE, XMLNS_NAMESPACE, XSL_NAMESPACE, implementation

## Classes

class ElementData

### Methods

__init__(self, name, attrs, extraNss=None)

class SaxWriter
Requires PyXML (will be checked at instantiation time).

### Methods

__init__(self, outputParams, saxHandler=None, fragment=False)
attribute(self, name, value, namespace=None)
comment(self, body)
complete(self)
endDocument(self)
endElement(self, name)
getResult(self)
processingInstruction(self, target, data)
startDocument(self)
startElement(self, name, namespace=None, extraNss=None)
text(self, text, escapeOutput=True)

## Fields

EMPTY_NAMESPACE = None
XMLNS_NAMESPACE = u'http://www.w3.org/2000/xmlns/'
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'
implementation = <DOMImplementation>
The DOMImplementation interface provides a number of methods for performing operations that are independent of any particular instance of the document object model.